#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: winrm 2.3.6 ruby lib

Gem::Specification.new do |s|
  s.name = "winrm".freeze
  s.version = "2.3.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Dan Wanek".freeze, "Paul Morton".freeze, "Matt Wrock".freeze, "Shawn Neal".freeze]
  s.date = "2021-01-27"
  s.description = "    Ruby library for Windows Remote Management\n".freeze
  s.email = ["dan.wanek@gmail.com".freeze, "paul@themortonsonline.com".freeze, "matt@mattwrock.com".freeze, "sneal@sneal.net".freeze]
  s.executables = ["rwinrm".freeze]
  s.extra_rdoc_files = ["LICENSE".freeze, "README.md".freeze]
  s.files = ["LICENSE".freeze, "README.md".freeze, "bin/rwinrm".freeze, "lib/winrm.rb".freeze, "lib/winrm/connection.rb".freeze, "lib/winrm/connection_opts.rb".freeze, "lib/winrm/exceptions.rb".freeze, "lib/winrm/http/response_handler.rb".freeze, "lib/winrm/http/transport.rb".freeze, "lib/winrm/http/transport_factory.rb".freeze, "lib/winrm/output.rb".freeze, "lib/winrm/psrp/create_pipeline.xml.erb".freeze, "lib/winrm/psrp/fragment.rb".freeze, "lib/winrm/psrp/init_runspace_pool.xml.erb".freeze, "lib/winrm/psrp/message.rb".freeze, "lib/winrm/psrp/message_data.rb".freeze, "lib/winrm/psrp/message_data/base.rb".freeze, "lib/winrm/psrp/message_data/error_record.rb".freeze, "lib/winrm/psrp/message_data/pipeline_host_call.rb".freeze, "lib/winrm/psrp/message_data/pipeline_output.rb".freeze, "lib/winrm/psrp/message_data/pipeline_state.rb".freeze, "lib/winrm/psrp/message_data/runspacepool_host_call.rb".freeze, "lib/winrm/psrp/message_data/runspacepool_state.rb".freeze, "lib/winrm/psrp/message_data/session_capability.rb".freeze, "lib/winrm/psrp/message_defragmenter.rb".freeze, "lib/winrm/psrp/message_factory.rb".freeze, "lib/winrm/psrp/message_fragmenter.rb".freeze, "lib/winrm/psrp/powershell_output_decoder.rb".freeze, "lib/winrm/psrp/receive_response_reader.rb".freeze, "lib/winrm/psrp/session_capability.xml.erb".freeze, "lib/winrm/psrp/uuid.rb".freeze, "lib/winrm/shells/base.rb".freeze, "lib/winrm/shells/cmd.rb".freeze, "lib/winrm/shells/power_shell.rb".freeze, "lib/winrm/shells/retryable.rb".freeze, "lib/winrm/shells/shell_factory.rb".freeze, "lib/winrm/version.rb".freeze, "lib/winrm/wsmv/base.rb".freeze, "lib/winrm/wsmv/cleanup_command.rb".freeze, "lib/winrm/wsmv/close_shell.rb".freeze, "lib/winrm/wsmv/command.rb".freeze, "lib/winrm/wsmv/command_output.rb".freeze, "lib/winrm/wsmv/command_output_decoder.rb".freeze, "lib/winrm/wsmv/configuration.rb".freeze, "lib/winrm/wsmv/create_pipeline.rb".freeze, "lib/winrm/wsmv/create_shell.rb".freeze, "lib/winrm/wsmv/header.rb".freeze, "lib/winrm/wsmv/init_runspace_pool.rb".freeze, "lib/winrm/wsmv/iso8601_duration.rb".freeze, "lib/winrm/wsmv/keep_alive.rb".freeze, "lib/winrm/wsmv/receive_response_reader.rb".freeze, "lib/winrm/wsmv/send_data.rb".freeze, "lib/winrm/wsmv/soap.rb".freeze, "lib/winrm/wsmv/wql_pull.rb".freeze, "lib/winrm/wsmv/wql_query.rb".freeze, "lib/winrm/wsmv/write_stdin.rb".freeze]
  s.homepage = "https://github.com/WinRb/WinRM".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rdoc_options = ["-x".freeze, "test/".freeze, "-x".freeze, "examples/".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.0".freeze)
  s.rubygems_version = "3.3.5".freeze
  s.summary = "Ruby library for Windows Remote Management".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<builder>.freeze, [">= 2.1.2"])
    s.add_runtime_dependency(%q<erubi>.freeze, ["~> 1.8"])
    s.add_runtime_dependency(%q<gssapi>.freeze, ["~> 1.2"])
    s.add_runtime_dependency(%q<gyoku>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<httpclient>.freeze, ["~> 2.2", ">= 2.2.0.2"])
    s.add_runtime_dependency(%q<logging>.freeze, [">= 1.6.1", "< 3.0"])
    s.add_runtime_dependency(%q<nori>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 10.3", "< 13"])
    s.add_development_dependency(%q<rb-readline>.freeze, [">= 0"])
    s.add_development_dependency(%q<rexml>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_runtime_dependency(%q<rubyntlm>.freeze, ["~> 0.6.0", ">= 0.6.3"])
  else
    s.add_dependency(%q<builder>.freeze, [">= 2.1.2"])
    s.add_dependency(%q<erubi>.freeze, ["~> 1.8"])
    s.add_dependency(%q<gssapi>.freeze, ["~> 1.2"])
    s.add_dependency(%q<gyoku>.freeze, ["~> 1.0"])
    s.add_dependency(%q<httpclient>.freeze, ["~> 2.2", ">= 2.2.0.2"])
    s.add_dependency(%q<logging>.freeze, [">= 1.6.1", "< 3.0"])
    s.add_dependency(%q<nori>.freeze, ["~> 2.0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 10.3", "< 13"])
    s.add_dependency(%q<rb-readline>.freeze, [">= 0"])
    s.add_dependency(%q<rexml>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.51.0"])
    s.add_dependency(%q<rubyntlm>.freeze, ["~> 0.6.0", ">= 0.6.3"])
  end
end
